summaryrefslogtreecommitdiff
path: root/target/linux
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2008-09-23 17:46:23 +0000
committerFelix Fietkau <nbd@openwrt.org>2008-09-23 17:46:23 +0000
commit065306a9a8ac22f4bed6f84ab4a355628e52d7c6 (patch)
tree0073e04300f698f5dc2376ca6a5d84c8cf1b9022 /target/linux
parent35b92f0c993822a2a6d610772249efe91d9a4afb (diff)
downloadmtk-20170518-065306a9a8ac22f4bed6f84ab4a355628e52d7c6.zip
mtk-20170518-065306a9a8ac22f4bed6f84ab4a355628e52d7c6.tar.gz
mtk-20170518-065306a9a8ac22f4bed6f84ab4a355628e52d7c6.tar.bz2
fix small logic error in x86 sysupgrade script, which prevented upgrades from jffs2 to squashfs (#3321)
SVN-Revision: 12672
Diffstat (limited to 'target/linux')
-rw-r--r--target/linux/x86/base-files/lib/upgrade/platform.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/target/linux/x86/base-files/lib/upgrade/platform.sh b/target/linux/x86/base-files/lib/upgrade/platform.sh
index 6bae07b..3d15914 100644
--- a/target/linux/x86/base-files/lib/upgrade/platform.sh
+++ b/target/linux/x86/base-files/lib/upgrade/platform.sh
@@ -21,7 +21,7 @@ x86_prepare_ext2() {
# if we're running from ext2, we need to make sure that we have a mtd
# partition that points to the active rootfs partition.
# however this only matters if we actually need to preserve the config files
- [ "$SAVE_CONFIG" -eq 1 ] && return 0
+ [ "$SAVE_CONFIG" -eq 1 ] || return 0
grep rootfs /proc/mtd >/dev/null || {
echo /dev/hda2,65536,rootfs > /sys/module/block2mtd/parameters/block2mtd
}